/*
 * Purple Force Online - Calls force online on load mainly for Finch
 * Copyright (C) 2021 Gary Kramlich <grim@reaperworld.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include <glib.h>

#define PURPLE_PLUGINS

#include "network.h"
#include "plugin.h"
#include "version.h"

static gboolean
plugin_load(PurplePlugin *plugin) {
	purple_network_force_online();

	return TRUE;
}

static PurplePluginInfo info = {
	.magic = PURPLE_PLUGIN_MAGIC,
	.major_version = PURPLE_MAJOR_VERSION,
	.minor_version = PURPLE_MINOR_VERSION,
	.type = PURPLE_PLUGIN_STANDARD,
	.priority = PURPLE_PRIORITY_DEFAULT,

	.id = "grim-purple_force_online",
	.name = "Purple Force Online",
	.version = PLUGIN_VERSION,

	.summary = "Forces libpurple to think it's online",
	.description = "Forces libpurple to think it's online. This is useful for "
                   "Finch which doesn't have the --force-online option, or if "
                   "something is broken with your network-manager install.",
	.author = "Gary Kramlich <grim@reaperworld.com>",
	.homepage = "https://keep.imfreedom.org/grim/purple-force-online",

	.load = plugin_load
};

static void
init_plugin(PurplePlugin *plugin) {
}

PURPLE_INIT_PLUGIN(purple_force_online, init_plugin, info);
